$(document).ready(function(){
	
	//$('#loginForm').bootstrapValidator();

/*
	$("#login,#loginBtn").click(function(e){
        e.preventDefault()
        var rs = $('#loginForm').bootstrapValidator();

        alert(rs);

        var emptyEmail = $('#emailTextBox').is(':empty');
        var emptyPasswd = $('#passwdTextBox').is(':empty');

        if ((emptyEmail) || (emptyPasswd)){
        	alert(emptyEmail+" - "+emptyPasswd);
        	$('#loginForm').bootstrapValidator();
        } else {

       	var enterEmail = document.getElementById("emailTextBox").value;
		var passwd = document.getElementById("passwdTextBox").value;
		
		alert(enterEmail+" - "+passwd);
		login(enterEmail,passwd);

		}

	});*/

        $("#continue_btn").click(function(){
		var enterEmail = document.getElementById("email_voucher").value;
		var passwd = document.getElementById("passwd_voucher").value;
		login(enterEmail,passwd);

	});
    
	
	$("#passwdTextBox").click(function () {
		if ($(this).val() == 'password') {
			$(this).val("");
		}
	});
    
    /**
     * Mostrando un widget de alerta al seleccionar un correo que no existe
     
    $("#emailTextBox").blur(function(){
        $.ajax({
                type: 'POST',
                url: 'checkUniqueEmail.php',
                data: {'email': $(this).val()},
                async: true,
                success: function(data) {
                        /** Se valida de manera inversa porque aqui se busca es
                        Saber si el email ya existe para PERMITIR el logeo **/
                       /* if (data == 'isAvailable') {
                                $(".email_no_exists").show(200)
                        } else {
                                $(".email_no_exists").hide(200)
                        }
                }
        })
    });*/

	$("#loginTool").click(function(e){
        e.preventDefault()
		$("#passwdTextBox").val("password");
		$("#emailTextBox").val("email");
		$(".forgotPwdDiv").hide();
		show_modal("dialogLogin");
		//$("#mask2").show();
		//$("#dialogLogin").show();
		//alert("dasdsad");
	});
	
	/*
	$("#emailTextBox, #email_voucher").blur(function(){
		$.ajax({
			type: 'POST',
			url: 'checkUniqueEmail.php',
			data: {'email': $(this).val()},
			async: true,
			success: function(data) {
				/** Se valida de manera inversa porque aqui se busca es
				Saber si el email ya existe para PERMITIR el logeo **/
				/*if (data == 'isAvailable') {
					$(".email_no_exists").show(200)
				} else {
					$(".email_no_exists").hide(200)
				}
			}
		})
	});*/

	$("#enterEmailTextBox").click(function(){
		if($(this).val()=="Entrez votre email" || $(this).val()=="enter your email")
		{
			$(this).val("");
		}
	});
	/*
	$("#emailTextBox, #email_voucher").click(function(){
		if($(this).val()=="email")
		{
			$(this).val("");
		}
	});
	*/
	/** Direccionando a register cuando el correo esta malo y manda por get el correo **/
	$(".a_email_no_exists").click(function (e) {
		e.preventDefault()
		location.href = $(this).attr('href')
	})
	/*
	$("#emailTextBox, #email_voucher").focus(function(){
		var elementId = $(this).attr("id");
		var defaultText = "email";
		toggleDefaultText(elementId,defaultText);
	});*/
	/*
	$("#emailTextBox, #email_voucher").blur(function(){
		var elementId = $(this).attr("id");
		var defaultText = "email";
		toggleDefaultText(elementId,defaultText);
	});

	$("#enterEmailTextBox").focus(function(){
		var elementId = $(this).attr("id");
		var defaultText = "enter your email";
		if($("#hiddenSelectedLanguage").val()=="french"||$("#hiddenSelectedLanguage").val()=="_fr")
		{
			defaultText = "Entrez votre email";
		}
		toggleDefaultText(elementId,defaultText);
	});

	$("#enterEmailTextBox").blur(function(){
		var elementId = $(this).attr("id");
		var defaultText = "enter your email";
		if($("#hiddenSelectedLanguage").val()=="french"||$("#hiddenSelectedLanguage").val()=="_fr")
		{
			defaultText = "Entrez votre email";
		}
		toggleDefaultText(elementId,defaultText);
	});
	*/

	$("#enterEmailForgotTextBox").focus(function(){
		var elementId = $(this).attr("id");
		var defaultText = "enter your email here";
		if($("#hiddenSelectedLanguage").val()=="french"||$("#hiddenSelectedLanguage").val()=="_fr")
		{
			defaultText = "Entrez votre email ici";
		}
		toggleDefaultText(elementId,defaultText);
	});

	$("#enterEmailForgotTextBox").blur(function(){
		var elementId = $(this).attr("id");
		var defaultText = "enter your email here";
		if($("#hiddenSelectedLanguage").val()=="french"||$("#hiddenSelectedLanguage").val()=="_fr")
		{
			defaultText = "Entrez votre email ici";
		}
		toggleDefaultText(elementId,defaultText);
	});
	
	/*
	$("#passwdTextBox, #passwd_voucher").focus(function(){
		var elementId = $(this).attr("id");
		var defaultText = "password";
		toggleDefaultText(elementId,defaultText);
	});

	$("#passwdTextBox, #passwd_voucher").blur(function(){
		var elementId = $(this).attr("id");
		var defaultText = "password";
		toggleDefaultText(elementId,defaultText);
	});
	*/
	$("#forgotPasswd").click(function(){
		$(".forgotPwdDiv").fadeIn("200");
	});

	$(".close, #close").click(function(){
            $(this).parent("div").fadeOut("200");
            $("#mask, #mask2").fadeOut("200");
	});
        
    function toggleDefaultText(elementId, defaultText) {
        if($("#"+elementId).val()=="" || $("#"+elementId).val().length==0) {
            $("#"+elementId).val(defaultText);
        } else {
            if($("#"+elementId).val()==defaultText) {
                $("#"+elementId).val("");
            }
        }
    }
})